package cicaprojekt;

public class WallDrawer extends ImagePanel implements Drawer {

    Wall wall;
 
    public WallDrawer(Wall w) {
        super("Wall.png");
        wall = w;
        setVisible(false);
    }
 
    @Override
    public void draw() {
        setVisible(true);
        
    }

    @Override
    public int getX() {
        return wall.getX();
    }
    
    @Override
    public int getY() {
        return wall.getY();
    }
    
}
